<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: Etat Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_etat-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Etat Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe mere <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a> dont les classes filles sont <a class="el" href="class_etat1_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates une dimension. ">Etat1D</a> et <a class="el" href="class_etat2_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates deux dimensions. ">Etat2D</a> Le code a ete factorisee de telle sorte qu'elle contienne le nombre d'etats possibles qu'une cellule peut prendre.  
 <a href="class_etat.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="etat_8h_source.html">etat.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Etat:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_etat.png" usemap="#Etat_map" alt=""/>
  <map id="Etat_map" name="Etat_map">
<area href="class_etat1_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates une dimension. " alt="Etat1D" shape="rect" coords="0,56,49,80"/>
<area href="class_etat2_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates deux dimensions. " alt="Etat2D" shape="rect" coords="59,56,108,80"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6cb9977958135a329bc4e6662e70bdd1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#a6cb9977958135a329bc4e6662e70bdd1">Etat</a> (unsigned int nbEtats=2)</td></tr>
<tr class="memdesc:a6cb9977958135a329bc4e6662e70bdd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de la classe <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>.  <a href="#a6cb9977958135a329bc4e6662e70bdd1">More...</a><br /></td></tr>
<tr class="separator:a6cb9977958135a329bc4e6662e70bdd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8f1f3bea9019d315bfcc5c1ab3ec15"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#a1d8f1f3bea9019d315bfcc5c1ab3ec15">getNbEtats</a> () const</td></tr>
<tr class="memdesc:a1d8f1f3bea9019d315bfcc5c1ab3ec15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur du nombre d'etats.  <a href="#a1d8f1f3bea9019d315bfcc5c1ab3ec15">More...</a><br /></td></tr>
<tr class="separator:a1d8f1f3bea9019d315bfcc5c1ab3ec15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:abe6a37128e5a0be847c6f8330285d472"><td class="memItemLeft" align="right" valign="top"><a id="abe6a37128e5a0be847c6f8330285d472"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#abe6a37128e5a0be847c6f8330285d472">nbEtatsParCellule</a></td></tr>
<tr class="memdesc:abe6a37128e5a0be847c6f8330285d472"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nombre d'etat par cellule. <br /></td></tr>
<tr class="separator:abe6a37128e5a0be847c6f8330285d472"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe mere <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a> dont les classes filles sont <a class="el" href="class_etat1_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates une dimension. ">Etat1D</a> et <a class="el" href="class_etat2_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates deux dimensions. ">Etat2D</a> Le code a ete factorisee de telle sorte qu'elle contienne le nombre d'etats possibles qu'une cellule peut prendre. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6cb9977958135a329bc4e6662e70bdd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cb9977958135a329bc4e6662e70bdd1">&#9670;&nbsp;</a></span>Etat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Etat::Etat </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>nbEtats</em> = <code>2</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructeur de la classe <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nbEtats</td><td>On construit un etat avec un attribut nbEtats. La valeur par defaut est 2 car il s'agit du cas le plus frequent. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Retourne un etat </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1d8f1f3bea9019d315bfcc5c1ab3ec15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d8f1f3bea9019d315bfcc5c1ab3ec15">&#9670;&nbsp;</a></span>getNbEtats()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Etat::getNbEtats </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Accesseur du nombre d'etats. </p>
<dl class="section return"><dt>Returns</dt><dd>Retourne un attribut protege de la classe <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a> </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="etat_8h_source.html">etat.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
